#!/bin/bash

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 
   exit 1
fi

message=$(/sbin/modprobe ftdi_sio)

# Parse out the sealevel USB device IDs
productIDs=$(lsusb -d 0c52: -v | grep idProduct | grep -o -E 0[xX][0-9a-fA-F]+)


for i in $productIDs
do
  #echo $i
  result=$(echo $i | cut -b 3-)
  echo "productID: $result"
  /usr/bin/printf "0c52 $result\n" > /sys/bus/usb-serial/drivers/ftdi_sio/new_id
  
done

echo "Added device IDs to /sys/bus/usb-serial/drivers/ftdi_sio/new_id"


